## AgsDial

AgsDial — A dial widget

## Stability Level

Stable, unless otherwise indicated

## Functions

void | ags_dial_set_radius ()
guint | ags_dial_get_radius ()
void | ags_dial_set_outline_strength ()
guint | ags_dial_get_outline_strength ()
void | ags_dial_set_scale_precision ()
guint | ags_dial_get_scale_precision ()
void | ags_dial_set_font_size ()
guint | ags_dial_get_font_size ()
void | ags_dial_set_button_width ()
gint | ags_dial_get_button_width ()
void | ags_dial_set_button_height ()
gint | ags_dial_get_button_height ()
void | ags_dial_set_margin_left ()
gint | ags_dial_get_margin_left ()
void | ags_dial_set_margin_right ()
gint | ags_dial_get_margin_right ()
void | ags_dial_set_adjustment ()
GtkAdjustment * | ags_dial_get_adjustment ()
void | ags_dial_value_changed ()
void | ags_dial_set_value ()
gdouble | ags_dial_get_value ()
AgsDial * | ags_dial_new ()

## Properties

GObject * | adjustment | Read / Write
int | button-height | Read / Write
int | button-width | Read / Write
guint | font-size | Read / Write
int | margin-left | Read / Write
int | margin-right | Read / Write
guint | outline-strength | Read / Write
guint | radius | Read / Write
guint | scale-precision | Read / Write

## Signals

void | value-changed | Run Last

## Types and Values

#define | AGS_DIAL_DEFAULT_PRECISION
#define | AGS_DIAL_DEFAULT_RADIUS
#define | AGS_DIAL_DEFAULT_OUTLINE_STRENGTH
#define | AGS_DIAL_DEFAULT_FONT_SIZE
#define | AGS_DIAL_DEFAULT_BUTTON_WIDTH
#define | AGS_DIAL_DEFAULT_BUTTON_HEIGHT
#define | AGS_DIAL_DEFAULT_MARGIN
#define | AGS_DIAL_DEFAULT_MARGIN_LEFT
#define | AGS_DIAL_DEFAULT_MARGIN_RIGHT
#define | AGS_DIAL_DEFAULT_HEIGHT
#define | AGS_DIAL_DEFAULT_WIDTH
enum | AgsDialFlags
enum | AgsDialAction

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── AgsDial

## Includes

    #include <ags/widget/ags_dial.h>

## Description

AgsDial is a widget representing a GtkAdjustment.

## Functions

### ags_dial_set_radius ()

    void
    ags_dial_set_radius (AgsDial *dial,
                         guint radius);

Set radius of `dial` .

#### Parameters

dial | the AgsDial |
radius | the radius |

Since: 3.2.0

### ags_dial_get_radius ()

    guint
    ags_dial_get_radius (AgsDial *dial);

Get radius of `dial` .

#### Parameters

dial | the AgsDial |

#### Returns

the radius

Since: 3.2.0

### ags_dial_set_outline_strength ()

    void
    ags_dial_set_outline_strength (AgsDial *dial,
                                   guint outline_strength);

Set outline strength of `dial` .

#### Parameters

dial | the AgsDial |
outline_strength | the outline strength |

Since: 3.2.0

### ags_dial_get_outline_strength ()

    guint
    ags_dial_get_outline_strength (AgsDial *dial);

Get outline strength of `dial` .

#### Parameters

dial | the AgsDial |

#### Returns

the outline _strength

Since: 3.2.0

### ags_dial_set_scale_precision ()

    void
    ags_dial_set_scale_precision (AgsDial *dial,
                                  guint scale_precision);

Set scale precision of `dial` .

#### Parameters

dial | the AgsDial |
scale_precision | the scale precision |

Since: 3.2.0

### ags_dial_get_scale_precision ()

    guint
    ags_dial_get_scale_precision (AgsDial *dial);

Get scale precision of `dial` .

#### Parameters

dial | the AgsDial |

#### Returns

the scale precision

Since: 3.2.0

### ags_dial_set_font_size ()

    void
    ags_dial_set_font_size (AgsDial *dial,
                            guint font_size);

Set font size of `dial` .

#### Parameters

dial | the AgsDial |
font_size | the font size |

Since: 3.2.0

### ags_dial_get_font_size ()

    guint
    ags_dial_get_font_size (AgsDial *dial);

Get font size of `dial` .

#### Parameters

dial | the AgsDial |

#### Returns

the font size

Since: 3.2.0

### ags_dial_set_button_width ()

    void
    ags_dial_set_button_width (AgsDial *dial,
                               gint button_width);

Set button width of `dial` .

#### Parameters

dial | the AgsDial |
button_width | the button width |

Since: 3.2.0

### ags_dial_get_button_width ()

    gint
    ags_dial_get_button_width (AgsDial *dial);

Get button width of `dial` .

#### Parameters

dial | the AgsDial |

#### Returns

the button width

Since: 3.2.0

### ags_dial_set_button_height ()

    void
    ags_dial_set_button_height (AgsDial *dial,
                                gint button_height);

Set button height of `dial` .

#### Parameters

dial | the AgsDial |
button_height | the button height |

Since: 3.2.0

### ags_dial_get_button_height ()

    gint
    ags_dial_get_button_height (AgsDial *dial);

Get button height of `dial` .

#### Parameters

dial | the AgsDial |

#### Returns

the button height

Since: 3.2.0

### ags_dial_set_margin_left ()

    void
    ags_dial_set_margin_left (AgsDial *dial,
                              gint margin_left);

Set margin left of `dial` .

#### Parameters

dial | the AgsDial |
margin_left | the margin left |

Since: 3.2.0

### ags_dial_get_margin_left ()

    gint
    ags_dial_get_margin_left (AgsDial *dial);

Get margin_left of `dial` .

#### Parameters

dial | the AgsDial |

#### Returns

the margin left

Since: 3.2.0

### ags_dial_set_margin_right ()

    void
    ags_dial_set_margin_right (AgsDial *dial,
                               gint margin_right);

Set margin right of `dial` .

#### Parameters

dial | the AgsDial |
margin_right | the margin right |

Since: 3.2.0

### ags_dial_get_margin_right ()

    gint
    ags_dial_get_margin_right (AgsDial *dial);

Get margin right of `dial` .

#### Parameters

dial | the AgsDial |

#### Returns

the margin right

Since: 3.2.0

### ags_dial_set_adjustment ()

    void
    ags_dial_set_adjustment (AgsDial *dial,
                             GtkAdjustment *adjustment);

Set adjustment of `dial` .

#### Parameters

dial | the AgsDial |
adjustment | the GtkAdjustment. | [transfer none]

Since: 3.2.0

### ags_dial_get_adjustment ()

    GtkAdjustment *
    ags_dial_get_adjustment (AgsDial *dial);

Get adjustment of `dial` .

#### Parameters

dial | the AgsDial |

#### Returns

the GtkAdjustment.

[transfer full]

Since: 3.2.0

### ags_dial_value_changed ()

    void
    ags_dial_value_changed (AgsDial *dial);

draws the widget

#### Parameters

dial | the AgsDial |

Since: 3.0.0

### ags_dial_set_value ()

    void
    ags_dial_set_value (AgsDial *dial,
                        gdouble value);

Set value

#### Parameters

dial | the AgsDial |
value | the value to set |

Since: 3.0.0

### ags_dial_get_value ()

    gdouble
    ags_dial_get_value (AgsDial *dial);

Get value

#### Parameters

dial | the AgsDial |

#### Returns

the value

Since: 3.14.0

### ags_dial_new ()

    AgsDial *
    ags_dial_new ();

Creates an AgsDial

#### Returns

a new AgsDial

Since: 3.0.0

## Types and Values

### AGS_DIAL_DEFAULT_PRECISION

    #define AGS_DIAL_DEFAULT_PRECISION (8.0)

### AGS_DIAL_DEFAULT_RADIUS

    #define AGS_DIAL_DEFAULT_RADIUS (10)

### AGS_DIAL_DEFAULT_OUTLINE_STRENGTH

    #define AGS_DIAL_DEFAULT_OUTLINE_STRENGTH (4)

### AGS_DIAL_DEFAULT_FONT_SIZE

    #define AGS_DIAL_DEFAULT_FONT_SIZE (12)

### AGS_DIAL_DEFAULT_BUTTON_WIDTH

    #define AGS_DIAL_DEFAULT_BUTTON_WIDTH (12)

### AGS_DIAL_DEFAULT_BUTTON_HEIGHT

    #define AGS_DIAL_DEFAULT_BUTTON_HEIGHT (8)

### AGS_DIAL_DEFAULT_MARGIN

    #define AGS_DIAL_DEFAULT_MARGIN (4.0)

### AGS_DIAL_DEFAULT_MARGIN_LEFT

    #define AGS_DIAL_DEFAULT_MARGIN_LEFT (AGS_DIAL_DEFAULT_MARGIN)

### AGS_DIAL_DEFAULT_MARGIN_RIGHT

    #define AGS_DIAL_DEFAULT_MARGIN_RIGHT (AGS_DIAL_DEFAULT_MARGIN)

### AGS_DIAL_DEFAULT_HEIGHT

    #define AGS_DIAL_DEFAULT_HEIGHT (2 * (AGS_DIAL_DEFAULT_RADIUS + AGS_DIAL_DEFAULT_OUTLINE_STRENGTH + 1))

### AGS_DIAL_DEFAULT_WIDTH

    #define AGS_DIAL_DEFAULT_WIDTH (2 * (AGS_DIAL_DEFAULT_BUTTON_WIDTH + AGS_DIAL_DEFAULT_MARGIN + AGS_DIAL_DEFAULT_RADIUS + AGS_DIAL_DEFAULT_OUTLINE_STRENGTH + 2))

### enum AgsDialFlags

#### Members

AGS_DIAL_WITH_BUTTONS |  |
AGS_DIAL_MOUSE_BUTTON_PRESSED |  |
AGS_DIAL_BUTTON_DOWN_PRESSED |  |
AGS_DIAL_BUTTON_UP_PRESSED |  |
AGS_DIAL_MOTION_CAPTURING_INIT |  |
AGS_DIAL_MOTION_CAPTURING |  |
AGS_DIAL_SEEMLESS_MODE |  |
AGS_DIAL_INVERSE_LIGHT |  |

### enum AgsDialAction

#### Members

AGS_DIAL_INCREMENT |  |
AGS_DIAL_DECREMENT |  |

## Property Details

### The `“adjustment”` property

      “adjustment”               GObject *

The adjustment storing current value and boundaries.

Owner: AgsDial

Flags: Read / Write

Since: 3.0.0

### The `“button-height”` property

      “button-height”            int

The buttons height.

Owner: AgsDial

Flags: Read / Write

Allowed values: >= -1

Default value: 8

Since: 3.0.0

### The `“button-width”` property

      “button-width”             int

The buttons width.

Owner: AgsDial

Flags: Read / Write

Allowed values: >= -1

Default value: 12

Since: 3.0.0

### The `“font-size”` property

      “font-size”                guint

The font size of the buttons.

Owner: AgsDial

Flags: Read / Write

Default value: 12

Since: 3.0.0

### The `“margin-left”` property

      “margin-left”              int

The button's margin left.

Owner: AgsDial

Flags: Read / Write

Allowed values: >= -1

Default value: 4

Since: 3.0.0

### The `“margin-right”` property

      “margin-right”             int

The button's margin right.

Owner: AgsDial

Flags: Read / Write

Allowed values: >= -1

Default value: 4

Since: 3.0.0

### The `“outline-strength”` property

      “outline-strength”         guint

The outline strength of the knob.

Owner: AgsDial

Flags: Read / Write

Default value: 4

Since: 3.0.0

### The `“radius”` property

      “radius”                   guint

The radius of the knob.

Owner: AgsDial

Flags: Read / Write

Default value: 10

Since: 3.0.0

### The `“scale-precision”` property

      “scale-precision”          guint

The precision of the scale.

Owner: AgsDial

Flags: Read / Write

Default value: 8

Since: 3.0.0

## Signal Details

### The `“value-changed”` signal

    void
    user_function (AgsDial *dial,
                   gpointer user_data)

The ::value-changed signal notifies adjustment value changed.

#### Parameters

dial | the AgsDial |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 3.0.0